Description

In some case, the actors will spawn with same name, but covered different skin/color, is there anyway to identify and choose correct
one?

History

#1 - 2015-12-28 10:25 PM - Amadeus
- Status changed from New to Feedback Required

This would not be easy for me to figure out. | would need to have examples (easy for me to locate/find/observe), of identical actors that the only
differnence is the the "skin"/"color". Even better would be an actor that changes skin/color.

#2 - 2015-12-28 11:28 PM - Amadeus

Also, | just heard from someone that this request comes from a single fight mechanic. If this is the case, then I'm not interested in working on it.

The reason is simple: I've said for years that the way to fight botting in the game is not to ban players or things of that nature, it's to design content
that cannot be botted. If they've put that much effort into creating a fight that cannot be beat with the tools that I've created and refined over the past
10 years, then I'm inclined to leave it alone.

If the request has implications for greater use in the EQ2 world than one single fight, then | might reconsider. Otherwise, I'm not sure it's worth the
amount of time it would take.

#3 - 2015-12-29 06:32 AM - Kannkor

There's quite a few fights that use this mechanic that have existed for years and years. The earliest example | can think of off the top of my head is
from 2010.

If you have the latest expansion (ToT) and a max level toon (level 100) there is a very great example of this. There is an orb that can be 1 of 4
colours. When you click it, it changes to the next colour. Click it again and it changes to the next colour etc.
Name of the zone:

| can assist with location/mechanics if you decide you want to look at it.

#4 - 2015-12-31 03:40 AM - lixleon

Also there is a fight in Maldura: Algorithm For Destruction [Heroic] last Named, in this fight, the Named will spawn a teleportion with random
Skin/Color before he teleport away, players need to remember what color they are teleport in, and choose correct one to get out or will wipe group,
but all of those teleportion are get same name. And | can provide more example about this mechanic in past expansion, like gobblin games, the fight
in DUO zones in both ToV and CoE, the fight against RT in SF, etc. | believe there will be more fight using this mechanic in future.

So, maybe one of timed quest in content using same mechanic and there is risk someone will code this fight in content, but that one is not my goal, so
please ignore if this request is not constructive or bad one, | just want to make sure if there is someone able to provide good way to deal with this
mechanic using existing tools that | dont know, not only asking for new function.

thanks a lot for both of your time to reply my request.

#5 - 2015-12-31 04:20 AM - lixleon

Kannkor wrote:
https://www.isxgames.com/f/threads/terrors-of-thalumbra-heroic-instances-guide.7706/#post-47473

There's quite a few fights that use this mechanic that have existed for years and years. The earliest example | can think of off the top of my head
is from 2010. If you have the latest expansion (ToT) and a max level toon (level 100) there is a very great example of this. There is an orb that
can be 1 of 4 colours. When you click it, it changes to the next colour. Click it again and it changes to the next colour etc. Name of the

zone: Kralet Penumbra: Uzulu Deep [Event Heroic] | can assist with location/mechanics if you decide you want to look at it.

Yes, In Uzulu case, the orb will change their color or skin, but they will get a new name after they changed, its not that hard to deal with, but this is an
good and easy example to observe what skin or color they were changed.

#6 - 2016-12-08 05:29 PM - Kannkor

Amadeus - They decided to add many colours all over the place on actors.

| have found a spot where there is a stationary actor, that does nothing but rotates colours every couple of seconds.

| also have an account you can use (throwaway) if you need to dig deep into it.

It's at the end of a zone, so | would need about an hour notice to clear it, then the zone would stay cleared for a few days (I want to say 3-5, but can't
recall exactly).

Just PM me if you have time, or a day prior and | can have it precleared for you.

#7 - 2016-12-08 08:00 PM - Amadeus

- Status changed from Feedback Required to In Progress

Kannkor is currently testing new members/methods that would allow detection of actor "color", at the least. | will update this when | release the
functionality.

#8 - 2016-12-09 04:02 PM - Amadeus

- Status changed from In Progress to Implemented

December 9, 2016
[20161206.0002]
* Added new MEMBERS to the 'actor' datatype:

1. CurrentAnimation (string)
2. Overlay (string)
3. Aura (string)
4. Mood (string)

(For the "color" of an actor, check out actor.Overlay)
